# Interface methods for submodule: RecursiveMultiResolutionPyramidImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MultiResolutionPyramidImageFilterProxy as _MultiResolutionPyramidImageFilterProxy


# Interface methods for class: RecursiveMultiResolutionPyramidImageFilter
class RecursiveMultiResolutionPyramidImageFilterProxy(_MultiResolutionPyramidImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GenerateOutputRequestedRegion(self, ptr) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

